# TODO:
# * Implement parts of Mono Debian Policy
# * split into smaller packages
# * make *.config files for unsafe assemblies
# * use system libgc
# * AOT ?

# may use --with-gc=boehm,included,none
%define libgc boehm
#define libgc included

Name: mono
Version: 1.9.1
Release: alt1.0.1
License: LGPL
Url: http://www.mono-project.com/
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Summary: The mono CIL runtime, suitable for running .NET code

Source: http://www.go-mono.com/sources/%name/%name-%version.tar.bz2
Patch0: mono-1.2.5-alt-no-valgrind.patch
Patch1: mono-1.2.5-alt-dllmap.patch
Patch2: mono-1.2.5-rh-BigInteger-CVE-2007-5197.patch
Patch3: mono-1.9-alt-fix-cecil.patch
Patch4: mono-1.2.6-alt-mono-pc-glib2.patch

BuildPreReq: rpm-build-mono >= 1.2

%if %libgc == boehm
BuildPreReq: libgc-devel
%endif

# Automatically added by buildreq on Mon Mar 10 2008
BuildRequires: glib2-devel imake libX11-devel libattr-devel libncurses-devel xorg-cf-files zlib-devel

Requires: /proc
BuildPreReq: /proc

Obsoletes: mono-ikvm < %version
Provides: mono-ikvm = %version
Provides: mono-core = %version

Requires: libmono = %version-%release
Requires: %name-mscorlib = %version-%release

# mono.pc is used for two unrelated purposes:
# 1) to test for mono runtime; 2) to link with libmono.
# Therefore, we package mono.pc into both mono and libmono-devel packages.
# Furthermore, we must manually arrange mono.pc dependencies for both cases.
%add_findreq_skiplist %_pkgconfigdir/mono.pc

%description
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, security tools and libraries
(corlib, XML, System.Security, System.Drawing, ZipLib, I18N, Cairo 
and Mono.*).

%files
%dir %_sysconfdir/mono
%dir %_sysconfdir/mono/1.0/
%dir %_sysconfdir/mono/2.0/
%config(noreplace) %_sysconfdir/mono/1.0/machine.config
%config(noreplace) %_sysconfdir/mono/2.0/machine.config
%config(noreplace) %_sysconfdir/mono/2.0/settings.map
%config(noreplace) %_sysconfdir/mono/config
%_bindir/mono
%_bindir/certmgr
%_bindir/chktrust
%_bindir/gacutil
%_bindir/mozroots
%_bindir/setreg
%_bindir/sn
%_libdir/libikvm-native.so
%_libdir/libMonoPosixHelper.so
%_libdir/libMonoSupportW.so
%dir %_monodir/compat-*
%dir %_monodir/gac
%_monodir/*/certmgr.exe*
%_monodir/*/chktrust.exe*
%_monodir/*/gacutil.exe*
%_monodir/*/mozroots.exe*
%_monodir/*/setreg.exe*
%_monodir/*/sn.exe*
%_monodir/*/transform.exe*
%_monodir/*/Mono.C5
%_monodir/*/Mono.C5.dll*
%_monodir/*/Mono.Posix
%_monodir/*/Mono.Posix.dll*
%_monodir/*/Mono.Cairo
%_monodir/*/Mono.Cairo.dll*
%_monodir/*/ICSharpCode.SharpZipLib
%_monodir/*/ICSharpCode.SharpZipLib.dll*
%_monodir/*/Microsoft.VisualC
%_monodir/*/Microsoft.VisualC.dll*
%_monodir/*/Commons.Xml.Relaxng
%_monodir/*/Commons.Xml.Relaxng.dll*
%_monodir/*/CustomMarshalers
%_monodir/*/CustomMarshalers.dll*
%_monodir/*/I18N
%_monodir/*/I18N.dll*
%_monodir/*/I18N.MidEast
%_monodir/*/I18N.MidEast.dll*
%_monodir/*/I18N.Other
%_monodir/*/I18N.Other.dll*
%_monodir/*/I18N.Rare
%_monodir/*/I18N.Rare.dll*
%_monodir/*/I18N.West
%_monodir/*/I18N.West.dll*
%_monodir/*/Mono.GetOptions
%_monodir/*/Mono.GetOptions.dll*
%_monodir/*/Mono.Security
%_monodir/*/Mono.Security.dll*
%_monodir/*/OpenSystem.C
%_monodir/*/OpenSystem.C.dll
%_monodir/*/System
%_monodir/*/System.dll*
%_monodir/*/System.Core
%_monodir/*/System.Core.dll*
%_monodir/*/System.Drawing
%_monodir/*/System.Drawing.dll*
%_monodir/*/System.Security
%_monodir/*/System.Security.dll*
%_monodir/*/System.Configuration
%_monodir/*/System.Configuration.dll*
%_monodir/*/System.Transactions
%_monodir/*/System.Transactions.dll*
%_monodir/*/System.Xml
%_monodir/*/System.Xml.dll*
%_monodir/*/System.Xml.Core
%_monodir/*/System.Xml.Core.dll*
%_monodir/*/System.Xml.Linq
%_monodir/*/System.Xml.Linq.dll*
%_monodir/*/cscompmgd
%_monodir/*/cscompmgd.dll*
%_monodir/*/mscorlib.dll.*

# mono.pc is packaged into both mono and libmono-devel
%_pkgconfigdir/mono.pc
%_pkgconfigdir/mono-cairo.pc
%_man1dir/mono.*
%_man1dir/mint.*
%_man1dir/certmgr.*
%_man1dir/chktrust.*
%_man1dir/setreg.*
%_man1dir/gacutil.*
%_man1dir/sn.*
%_man5dir/mono-config.*
%_man1dir/mozroots.*
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%exclude %_monodir/*/Mono.Security.Win32*

%package mscorlib
Summary: Multilanguage Standard Common Object Runtime Library
Group: Development/Other
Conflicts: libmono < %version-%release

%description mscorlib
This pacakge provides Multilanguage Standard Common Object Runtime
Library (mscorlib.dll) for Mono/.Net framework.

%files mscorlib
%dir %_monodir
%dir %_monodir/1.0
%dir %_monodir/2.0
%dir %_monodir/2.1
%_monodir/1.0/mscorlib.dll
%_monodir/2.0/mscorlib.dll
%_monodir/2.1/mscorlib.dll

%package -n libmono
Summary: libmono.so.0 shared library
Group: System/Libraries
Conflicts: %name < %version-%release
# due to mini_init()
Requires: /proc
# due to mono_init_internal()
Requires: %name-mscorlib = %version-%release

%description -n libmono
This package contains libmono.so.0 shared library.

%files -n libmono
%_libdir/libmono.so.0*

%package -n libmono-devel
Summary: Header files for libmono.so.0 shared library
Group: Development/C
Requires: libmono = %version-%release
# mono.pc dependencies, sync with alt-mono-pc-glib2.patch
Requires: pkgconfig(glib-2.0) pkgconfig(gthread-2.0)
Requires: /usr/include/glib-2.0 %_libdir/glib-2.0/include

%description -n libmono-devel
This package contains header files for libmono.so.0 shared library.

%files -n libmono-devel
%_includedir/mono-1.0
%_libdir/libmono.so
%_pkgconfigdir/mono.pc

%package -n monodis
Summary: CIL image content dumper and disassembler
Group: Development/Other
Requires: libmono = %version-%release

%description -n monodis
The monodis program is used to dump the contents a CIL image (contained
in .EXE files that contain extended PE/COFF CIL code).

%files -n monodis
%_bindir/monodis
%_man1dir/monodis.*

%package mcs
Summary: C# language compiler for Mono
Group: Development/Other
Requires: %name = %version-%release
# using mono compiler should automatically enable support for mono dependencies
Requires: rpm-build-mono
Provides: mcs = %version
Obsoletes: mcs < %version

%description mcs
This package contains the C# .NET compiler. This allows you to compile C#
.NET application and assemblies.

%files mcs
%_bindir/mcs
%_bindir/gmcs
%_bindir/smcs
%_monodir/*/gmcs.exe*
%_monodir/*/mcs.exe*
%_monodir/*/smcs.exe*
%_man1dir/mcs.*

%package jscript
Summary: JScript .NET support for Mono
Group: Development/Other
Requires: %name = %version-%release

%description jscript
This package contains the JScript .NET compiler and language
runtime. This allows you to compile and run JScript.NET application
and assemblies.

%files jscript
%_bindir/mjs
%_monodir/*/mjs.exe*
%_monodir/*/Microsoft.JScript
%_monodir/*/Microsoft.JScript.dll

%package winforms
Summary: Windows Forms implementation for Mono
Group: Development/Other
Requires: %name = %version-%release
Provides: mono-window-forms = %version
Obsoletes: mono-window-forms < %version

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%files winforms
%_monodir/*/System.Windows.Forms
%_monodir/*/System.Windows.Forms.dll*
%_monodir/*/Accessibility
%_monodir/*/Accessibility.dll*
%_monodir/*/System.Design
%_monodir/*/System.Design.dll*
%_monodir/*/System.Drawing.Design
%_monodir/*/System.Drawing.Design.dll*
%_monodir/*/Mono.Mozilla
%_monodir/*/Mono.Mozilla.dll*

				     

%package web
Summary: ASP.NET, Remoting, and Web Services for Mono
Group: Development/Other
Requires: %name = %version-%release

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%files web
%config(noreplace) %_sysconfdir/mono/browscap.ini
%config(noreplace) %_sysconfdir/mono/1.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %_sysconfdir/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %_sysconfdir/mono/2.0/web.config
%dir %_sysconfdir/mono/mconfig
%config(noreplace) %_sysconfdir/mono/mconfig/config.xml
%_bindir/soapsuds
%_bindir/disco
%_bindir/wsdl
%_bindir/wsdl2
%_bindir/xsd
%_bindir/mconfig
%_monodir/*/soapsuds.exe*
%_monodir/*/disco.exe*
%_monodir/*/wsdl.exe*
%_monodir/*/xsd.exe*
%_monodir/*/httpcfg.exe*
%_monodir/*/mconfig.exe*
%_monodir/*/System.Web
%_monodir/*/System.Web.dll*
%_monodir/*/System.Web.Extensions
%_monodir/*/System.Web.Extensions.dll*
%_monodir/*/Mono.Http
%_monodir/*/Mono.Http.dll*
%_monodir/*/Mono.Web
%_monodir/*/Mono.Web.dll*
%_monodir/*/System.Runtime.Remoting
%_monodir/*/System.Runtime.Remoting.dll*
%_monodir/*/System.Runtime.Serialization.Formatters.Soap
%_monodir/*/System.Runtime.Serialization.Formatters.Soap.dll*
%_monodir/*/System.Web.Services
%_monodir/*/System.Web.Services.dll*
%_monodir/*/System.Web.Extensions.Design
%_monodir/*/System.Web.Extensions.Design.dll*
%_man1dir/soapsuds.*
%_man1dir/disco.*
%_man1dir/wsdl.*
%_man1dir/xsd.*
%_man1dir/mconfig.*

%package extras
Summary: Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group: Development/Other
Requires: %name = %version-%release

%description extras
This package provides the libary and application to run services
and daemons with Mono. It also includes stubs for the following
.NET 1.1 and 2.0 assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%files extras
%_bindir/mono-service*
%_bindir/mono-xmltool
%_monodir/*/installutil.exe*
%_monodir/*/mono-service
%_monodir/*/mono-service.exe*
%_monodir/*/mono-xmltool.exe*
%_monodir/*/System.Management
%_monodir/*/System.Management.dll*
%_monodir/*/System.Messaging
%_monodir/*/System.Messaging.dll*
%_monodir/*/System.ServiceProcess
%_monodir/*/System.ServiceProcess.dll*
%_monodir/*/System.Configuration.Install
%_monodir/*/System.Configuration.Install.dll*
%_monodir/*/Microsoft.Vsa
%_monodir/*/Microsoft.Vsa.dll*
%_man1dir/mono-service.*
%_man1dir/mono-xmltool*

%package -n ibm-data-db2
Summary: BM DB2 database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%files -n ibm-data-db2
%_monodir/*/IBM.Data.DB2
%_monodir/*/IBM.Data.DB2.dll*

%package devel
Summary: Development tools and headers for Mono
Group: Development/Other
Requires: %name = %version-%release
Requires: monodis = %version-%release

%description devel
This package includes all Mono library headers and completes the
Mono developer toolchain (with the mono profiler, assembler and
other various tools)

%files devel
%_bindir/al
%_bindir/al2
%_bindir/caspol
%_bindir/cert2spc
%_bindir/dtd2rng
%_bindir/dtd2xsd
%_bindir/genxs
%_bindir/httpcfg
%_bindir/ilasm
%_bindir/ilasm2
%_bindir/makecert
%_bindir/mkbundle
%_bindir/mkbundle2
# %%_bindir/monodiet
%_bindir/monograph
%_bindir/monop
%_bindir/monop2
%_bindir/mono-shlib-cop
%_bindir/pedump
%_bindir/permview
%_bindir/prj2make
%_bindir/resgen*
%_bindir/secutil
%_bindir/sgen
%_bindir/signcode
%_bindir/cilc
%_bindir/macpack
%_bindir/xbuild
%_bindir/monolinker
%_bindir/mono-api-diff
%_bindir/mono-api-info
%_bindir/mono-api-info2
%_bindir/installvst
%_libdir/libmono-profiler-cov.so
%_libdir/libmono-profiler-cov.so.*
%_libdir/libmono-profiler-aot.so
%_libdir/libmono-profiler-aot.so.*
%_monodir/*/al.exe*
%_monodir/*/genxs.exe*
%_monodir/*/ilasm.exe*
%_monodir/*/makecert.exe*
%_monodir/*/monop.exe*
%_monodir/*/cert2spc.exe*
%_monodir/*/signcode.exe*
%_monodir/*/secutil.exe*
%_monodir/*/sgen.exe*
%_monodir/*/resgen.exe*
%_monodir/*/cilc.exe*
%_monodir/*/prj2make.exe*
%_monodir/*/dtd2rng.exe*
%_monodir/*/dtd2xsd.exe*
%_monodir/*/mkbundle.exe*
%_monodir/*/permview.exe*
%_monodir/*/caspol.exe*
%_monodir/*/macpack.exe*
%_monodir/*/culevel.exe*
%_monodir/*/installvst.exe*
%_monodir/*/ictool.exe*
%_monodir/*/browsercaps-updater.exe*
%_monodir/*/mono-shlib-cop.exe*
%_monodir/*/xbuild.exe*
%_monodir/*/CorCompare.exe
%_monodir/*/mono-api-diff.exe
%_monodir/*/mono-api-info.exe
%_monodir/*/Microsoft.Build.Tasks
%_monodir/*/Microsoft.Build.Tasks.dll*
%_monodir/*/Microsoft.Build.Framework
%_monodir/*/Microsoft.Build.Framework.dll*
%_monodir/*/Microsoft.Build.Utilities
%_monodir/*/Microsoft.Build.Utilities.dll*
%_monodir/*/Microsoft.Build.Engine
%_monodir/*/Microsoft.Build.Engine.dll*
%_monodir/*/Mono.CompilerServices.SymbolWriter
%_monodir/*/Mono.CompilerServices.SymbolWriter.dll*
%_monodir/*/PEAPI
%_monodir/*/PEAPI.dll*
%_monodir/*/Mono.Cecil
%_monodir/*/Mono.Cecil.dll*
%_monodir/*/Mono.Cecil.Mdb
%_monodir/*/Mono.Cecil.Mdb.dll*
%_monodir/2.0/MSBuild
%_monodir/2.0/Microsoft.Build.xsd
%_monodir/2.0/Microsoft.*.targets
%_monodir/2.0/Microsoft.*.tasks
%_monodir/2.0/xbuild.rsp
%_monodir/*/monolinker.exe*
%_pkgconfigdir/dotnet.pc
%_pkgconfigdir/cecil.pc
%_datadir/mono-1.0/mono/cil/cil-opcodes.xml
%_man1dir/al.*
%_man1dir/ilasm.*
%_man1dir/genxs.*
%_man1dir/httpcfg.*
%_man1dir/makecert.*
%_man1dir/monop.*
%_man1dir/cert2spc.*
%_man1dir/signcode.*
%_man1dir/secutil.*
%_man1dir/sgen.*
%_man1dir/cilc.*
%_man1dir/prj2make.*
%_man1dir/dtd2xsd.*
%_man1dir/mkbundle.*
%_man1dir/permview.*
%_man1dir/macpack.*
%_man1dir/monoburg.*
%_man1dir/mono-shlib-cop.*
%_man1dir/monostyle*
%_man1dir/oldmono*
%_man1dir/monolinker*
%_man1dir/resgen*

%package jay
Summary: Mono's port of Jay to C#
Group: Development/Other
Requires: %name = %version-%release

%description jay
Mono's port of Jay to C#

%files jay
%_bindir/jay
%_datadir/jay
%_man1dir/jay.*

%package data-oracle
Summary: Oracle database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%files data-oracle
%_monodir/*/System.Data.OracleClient
%_monodir/*/System.Data.OracleClient.dll*

%package data
Summary: Database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%files data
%_bindir/sqlsharp
%_monodir/*/sqlsharp.exe*
%_monodir/*/System.Data
%_monodir/*/System.Data.dll*
%_monodir/*/Mono.Data
%_monodir/*/Mono.Data.dll*
%_monodir/*/Mono.Data.Tds
%_monodir/*/Mono.Data.Tds.dll*
%_monodir/*/Mono.Data.TdsClient
%_monodir/*/Mono.Data.TdsClient.dll*
%_monodir/*/System.EnterpriseServices
%_monodir/*/System.EnterpriseServices.dll*
%_monodir/*/Novell.Directory.Ldap
%_monodir/*/Novell.Directory.Ldap.dll*
%_monodir/*/System.DirectoryServices
%_monodir/*/System.DirectoryServices.dll*
%_man1dir/sqlsharp.*

%package nunit
Summary: NUnit Testing Framework
Group: Development/Other
Requires: %name = %version-%release

%description nunit
NUnit is a unit-testing framework for all .Net languages.
Initially ported from JUnit, the current release, version 2.2,
is the fourth major release of this xUnit based unit testing tool
for Microsoft .NET. It is written entirely in C# and has been
completely redesigned to take advantage of many .NET language
features, for example custom attributes and other reflection
related capabilities. NUnit brings xUnit to all .NET languages.

%files nunit
%_bindir/nunit-console*
%_monodir/*/nunit-console.exe*
%_monodir/*/nunit.core
%_monodir/*/nunit.framework
%_monodir/*/nunit.util
%_monodir/*/nunit.core.dll
%_monodir/*/nunit.framework.dll
%_monodir/*/nunit.mocks
%_monodir/*/nunit.mocks.dll*
%_monodir/*/nunit.util.dll
%_pkgconfigdir/mono-nunit.pc

%package locale-extras
Summary: Extra Locale information
Group: Development/Other
Requires: %name = %version-%release

%description locale-extras
Extra Locale information

%files locale-extras
%_monodir/*/I18N.CJK
%_monodir/*/I18N.CJK.dll*

%package data-postgresql
Summary: Postgresql database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data-postgresql
This package contains the ADO.NET Data provider for the Postgresql
database.

%files data-postgresql
%_monodir/*/Npgsql
%_monodir/*/Npgsql.dll*

%package data-firebird
Summary: Firebird database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data-firebird
This package contains the ADO.NET Data provider for the Firebird
database.

%files data-firebird
%_monodir/*/FirebirdSql.Data.Firebird
%_monodir/*/FirebirdSql.Data.Firebird.dll*

%package -n bytefx-data-mysql
Summary: MySQL database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description -n bytefx-data-mysql
This package contains the ADO.NET Data provider for MySQL. This is
no longer maintained. MySQL AB now provides MySQL Connector/Net
which is fully managed and actively maintained.

%files -n bytefx-data-mysql
%_monodir/*/ByteFX.Data
%_monodir/*/ByteFX.Data.dll*

%package data-sybase
Summary: Sybase database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data-sybase
This package contains the ADO.NET Data provider for the Sybase
database.

%files data-sybase
%_monodir/*/Mono.Data.SybaseClient
%_monodir/*/Mono.Data.SybaseClient.dll*

%package data-sqlite
Summary: sqlite database connectivity for Mono
Group: Development/Other
Requires: %name = %version-%release

%description data-sqlite
his package contains the ADO.NET Data provider for the sqlite
database.

%files data-sqlite
%_monodir/*/Mono.Data.SqliteClient
%_monodir/*/Mono.Data.SqliteClient.dll*
%_monodir/*/Mono.Data.Sqlite
%_monodir/*/Mono.Data.Sqlite.dll*

%package complete
Summary: This package contains all runtime Mono packages
Group: Development/Other
Requires: %name-mscorlib = %version-%release
Requires: libmono = %version-%release
Requires: libmono-devel = %version-%release
Requires: monodis = %version-%release
Requires: %name = %version-%release
Requires: mono-locale-extras = %version-%release
Requires: mono-data = %version-%release
Requires: bytefx-data-mysql = %version-%release
Requires: mono-data-sybase = %version-%release
Requires: mono-data-sqlite = %version-%release
Requires: mono-data-oracle = %version-%release
Requires: mono-data-postgresql = %version-%release
Requires: mono-data-firebird = %version-%release
Requires: ibm-data-db2 = %version-%release
Requires: mono-web = %version-%release
Requires: mono-mcs = %version-%release
Requires: mono-jscript = %version-%release
Requires: mono-extras = %version-%release
Requires: mono-nunit = %version-%release
Requires: mono-web = %version-%release
Requires: mono-winforms = %version-%release

%description complete
This is a virtual package which depends on all the packages that
constitute the Mono runtime, core libraries, and command-line
tools.

%files complete

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1

%build
%ifdef __buildreqs
# workaround strace hanging
export with_sigaltstack=no
%endif
%autoreconf
%undefine __libtoolize
%configure --disable-static --with-glib=system --with-gc=%libgc
%make

%install
%make_install DESTDIR=%buildroot install
%if %libgc == included
rm -rv %buildroot%_datadir/libgc-mono
%endif

# symlink for cecil
cd %buildroot%_monodir/1.0
ln -s ../gac/Mono.Cecil/0.6.8.8607__0738eb9f132ed756/Mono.Cecil.dll Mono.Cecil.dll
ln -s ../gac/Mono.Cecil.Mdb/0.2.0.0__0738eb9f132ed756/Mono.Cecil.Mdb.dll Mono.Cecil.Mdb.dll
cd %buildroot%_monodir/2.0
ln -s ../gac/Mono.Cecil/0.6.8.8607__0738eb9f132ed756/Mono.Cecil.dll Mono.Cecil.dll
ln -s ../gac/Mono.Cecil.Mdb/0.2.0.0__0738eb9f132ed756/Mono.Cecil.Mdb.dll Mono.Cecil.Mdb.dll

deps=$(pkg-config --print-{errors,requires} %buildroot%_pkgconfigdir/mono.pc)
: mono.pc should not have explicit pkgconfig dependencies
[ -z "$deps" ]

%post -n libmono -p %post_ldconfig
%postun -n libmono -p %postun_ldconfig

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%changelog
* Tue Apr 22 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9.1-alt1.0.1
- !!!WARNING!!! TEST BUILD
- use system libgc

* Tue Apr 22 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Fri Mar 21 2008 Alexey Tourbin <at@altlinux.ru> 1.9-alt2
- moved installutil.exe, which requires System.Configuration.Install.dll,
  from mono to mono-extras package

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9-alt1
- 1.9
- update patch for cecil

* Tue Mar 11 2008 Alexey Tourbin <at@altlinux.ru> 1.2.6-alt4
- split mono-mscorlib package, required for monodis (cf. #14578)
- hacked mono.pc dependencies (#13863)
- fixed /usr/lib/mono/2.1 and /usr/lib/mono/compat-* dir ownership
- fixed unversioned provides and obsoletes, updated dependencies

* Wed Jan 09 2008 Alexey Shabalin <shaba@altlinux.ru> 1.2.6-alt3
- add cecil symlinks for mono/2.0

* Wed Jan 02 2008 Alexey Shabalin <shaba@altlinux.ru> 1.2.6-alt2
- fix cecil pkgconfig file (patch3) and add symlink

* Sun Dec 16 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.6-alt1
- build with  moonlight
- update files section
- move a some sysconfig files to web package
- add noreplace for sysconfig files
- change "%%doc %%mandir/man*" to %%man1dir in spec

* Tue Nov 20 2007 Alexey Tourbin <at@altlinux.ru> 1.2.5.2-alt2
- must really build with new rpm-build-mono-1.2
- packaged mono.pc into both mono and libmono-devel

* Sun Nov 11 2007 Alexey Tourbin <at@altlinux.ru> 1.2.5.2-alt1
- 1.2.5.1 -> 1.2.5.2 (fixes Windows-only CVE-2007-5473)
- applied fix for CVE-2007-5197 (buffer overflow in Mono.Math.BigInteger)
- build with new rpm-build-mono-1.2
- new packages: libmono, libmono-devel, monodis
- use "configure --disable-static" to prevent static linkage with libmono
- explicitly disabled valgrind support (it was supposed to work only on x86)
- fixed soname dependencies by adjusting /etc/mono/config DLL mappings
- updated dependencies, removed outdated dependencies; added dependency
  on rpm-build-mono to mono-mcs (using mono compiler will automatically
  enable support for mono dependencies)

* Tue Oct 09 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.5.1-alt1
- 1.2.5.1
- change buildreq from libgdiplus to libgdiplus-devel
- build with new rpm-build-mono-1.1-alt1
- fix BuildRequires
- add man for resgen
- add mono-api-diff,mono-api-info,mono-api-info2,installvst to %%bindir

* Sat Sep 08 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.5-alt1
- 1.2.5
- drop monodiet in devel package
- add monolinker to devel package
- add Mono.Cecil.dll to mono package

* Sat Jul 28 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.4-alt1
- 1.2.4
- add in %%files:
    + installvst.exe
    + culevel.exe
    + httpcfg.exe
    + Mono.Data.Sqlite.dll
    + System.Core.dll

* Sat Mar 17 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.3.1-alt1.0
- Rebuilt with file-4.20-alt2 and rpm-build-4.0.4-alt74 (#11088).

* Fri Feb 23 2007 Ildar Mulyukov <ildar@altlinux.ru> 1.2.3.1-alt1
- 1.2.3.1

* Wed Nov 15 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.2-alt1
- 1.2

* Fri Oct 06 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.1.17.2-alt1
- total spec re-lay-outing
- fix build for x86_64 platform

* Mon Oct 02 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.1.17.1-alt1
- BuildRequires list fix
- mono-basic was moved into separate package
- some dependencies fixed
- build with rpm-build-mono

* Thu Mar 30 2006 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.13.6-alt1
- Update to release

* Mon Feb 06 2006 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.13.2-alt1
- Update to release
- Move architecture independent files to %_prefix/lib/mono

* Tue Nov 15 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.10-alt1
- Update to release
- Add requires mono-winforms to libgdiplus
- Add nunit and jscript packages

* Sat Oct 08 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.9.2-alt1
- update to release

* Thu Sep 29 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.9.1-alt1
- update to 1.1.9.1

* Thu Sep 22 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.9-alt1
- update to 1.1.9

* Wed Aug 03 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.8.3-alt1
- update to last bugfixes

* Sat Jun 18 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.8-alt1
- update release

* Sun May 15 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.7-alt1
- update release

* Sat Oct  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.0.1-alt1
- update release 

* Thu Jul 29 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.0-alt1
- release

* Tue May 11 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.91-alt1
- new version

* Mon Apr  5 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.31-alt1
- 0.31 version

* Thu Mar  4 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.2-alt1
- updated to 0.30.2

* Thu Feb 26 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.1-alt2
- posix description added

* Thu Feb 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.1-alt1
- updated 0.30

* Tue Feb 17 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt3
- man moved into mono dir

* Thu Feb 12 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt2
- man files rename added

* Wed Feb  4 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt1
- new version release

* Mon Dec 15 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.29-alt2
- buildreq check and DefaultWsdlHelpGenerator.aspx, allso adopted for fixed mcs 

* Fri Dec  5 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.29-alt1
- new release of mono

* Fri Nov 28 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt2
- fixed problem with pnet

* Tue Oct  7 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt1
- new version 0.28-alt1

* Thu Sep 18 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.26-alt1
- Adopted for ALTLinux form original Ximian spec and mono-0.16

* Tue Nov 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- Initial release for ALT
